<app-base-layout
  [enableMobileHeader]="true"
  title="Need Help"
  [enableDeskTopHeader]="true"
  [enableDeskTopHeaderAction]="true"
>
  <div class="container">
    <div class="row">
      <div class="d-none d-md-block col-md-2"></div>
      <div class="col-12 col-md-8">
        <div class="card">
          <div class="card-body">
            <div class="card-title">Reach out to Dollarbull Support!</div>
            <div class="text mb-3">
              We are here to help you and make global investing accessible to
              all.
            </div>
            <div class="text mb-3">
              Fill in the details and someone from Dollarbull will reach out at
              the time you have selected.
            </div>
            <form class="mt-4" [formGroup]="appointment">
              <input
                type="text"
                formControlName="name"
                placeholder="Name"
                class="input"
              />
              <span
              *ngIf="
                appointment.touched &&
                appointment.get('name').errors?.required
              "
              class="text-danger  mb-3"
            >
              Please enter Name
            </span>
              <select
                class="form-control input "
                id="banksList"
                formControlName="preferred_bank"
                name="preferred_bank"
                placeholder="Preferred Bank"
              >
                <option *ngFor="let banks of bankList" [value]="banks.id">
                  {{ banks.bank }}
                </option>
              </select>
              <span
              *ngIf="
                appointment.touched &&
                appointment.get('preferred_bank').errors?.required
              "
              class="text-danger  mb-3"
            >
              Please Select Preferred Bank
            </span>
              <input
                type="number"
                maxlength="13"
                formControlName="mobile_no"
                placeholder="Contact Number"
                class="input"
              />
              <span
              *ngIf="
                appointment.touched &&
                appointment.get('mobile_no').errors?.required
              "
              class="text-danger mb-3"
            >
              Please Enter Contact Number
            </span>
              <input
                type="date"
                formControlName="appointment_date"
                placeholder="Date/Time"
                class="input"
              />
              <span
              *ngIf="
                appointment.touched &&
                appointment.get('appointment_date').errors?.required
              "
              class="text-danger mb-3"
            >
              Please Select Date&Time
            </span>
            </form>
          </div>
        </div>

        <div class="mobile-btn-common card mt-4">
          <button class="btn" (click)="save_appointment()">
            <img src="assets/icons/comunication.svg" style="filter: brightness(100);" class="mr-2" /> Schedule
            Appointment
          </button>
        </div>
      </div>
    </div>

    <ng-template #content let-c="close" let-d="dismiss">
      <div class="success-modal">
        <div class="modal-header">
          <button
            type="button"
            class="close"
            aria-label="Close"
            (click)="d('Cross click')"
          >
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body text-center">
          <img src="assets/icons/success-check.svg" class="mb-3" />
          <div class="text">Scheduled Sucessfully</div>
          <div class="text2 ml-4 mr-4">
            Our Representative will reach out to you at the scheduled time
          </div>
        </div>
      </div>
    </ng-template>
  </div>
</app-base-layout>
